%define version 0.0.9
%define release 1mdk

%define libggz_version 0.0.9
%define ggz_client_libs_version 0.0.9

Name:		ggz-gtk-client
Summary:	GGZ Client with GTK+ user interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) Fix DESTDIR install
Patch0:		%{name}-0.0.7-destdir.patch.bz2
# (Abel) Remove duplicated function declaration
Patch1:		%{name}-0.0.9-build-fix.patch.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	gtk+2-devel
BuildRequires:	automake1.7
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client with GTK+ user interface.

%prep
%setup -q
%patch0 -p1 -b .destdir
%patch1 -p1 -b .build-fix

# needed by patch0
aclocal-1.7
automake-1.7 --copy --force --add-missing
autoconf

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir="\${prefix}/share"

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
install -d -m 0755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
 command="%{_gamesbindir}/ggz-gtk" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with GTK+ interface" \
 needs="x11" \
 section="More Applications/Games/Other" \
 title="GGZ GTK+ Game Client"
_EOF_

%find_lang ggz-gtk

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f ggz-gtk.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ QuickStart.GGZ
%{_gamesbindir}/ggz-gtk
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_menudir}/%{name}

%changelog
* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- Drop P1 (UK server = default server)
- New P1: remove duplicated function declaration to fix build

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Modify patch1 to add UK server to default server list

* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: fix DESTDIR support
- Patch1: Use existing servers by default, old servers are no more
- No need to mess with _datadir anymore
- BuildRequires and Requires redone, to make it 64-bit arch aware
- Add menu entry
- find_lang
- Clients require game modules

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Updated to 0.0.6
- Minor Mandrakization (manpages are .bz2)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Debug should be off for release - added pixmap dir

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Sep 14 2001 Jason Short <jdorje@users.sourceforge.net>
- Updated for 0.0.5pre version.

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Updated for new distro name ggz-gtk-client

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
